const express = require('express');
const router = express.Router();
const { getAllFavorites,         
        createFavorite, 
        getFavoritesByUserId } = require('../controllers/favController');

router.route('/').get(getAllFavorites);
router.route('/:userId').get(getFavoritesByUserId);
router.route('/create').post(createFavorite);

module.exports = router;
